#!/usr/bin/env node

const yargs = require('yargs');

const { devServer, buildProd, buildDll, buildPlugin } = require('./webpack');

// eslint-disable-next-line @typescript-eslint/no-unused-vars
const argv = yargs
  .command('dev', 'Start development server', {}, () => {
    devServer();
  })
  .command('build:prod', 'Build production', {}, () => {
    buildProd();
  })
  .command('build:dll', 'Build DLL', {}, () => {
    buildDll();
  })
  .command(
    'build:plugin <name>',
    'Build plugin',
    args => {
      return args.option('name', { description: 'Plugin name' });
    },
    args => {
      console.log(args);
      buildPlugin(args.name);
    },
  )
  .help().argv;
